> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecontextlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve a slate hostname for authorized viewing



## OpenAPI

````yaml https://platform.usecontextlayer.com/api/openapi.json get /slates/resolve
openapi: 3.1.0
info:
  title: ContextLayer Platform
  version: 0.1.0
servers:
  - url: https://platform.usecontextlayer.com/api
security: []
tags:
  - name: Slates
  - name: Slate routing
  - name: Slate resources
  - name: Accounts
  - name: Shared secrets
  - name: Agents
  - name: Agent jobs
paths:
  /slates/resolve:
    get:
      tags:
        - Slate routing
      summary: Resolve a slate hostname for authorized viewing
      operationId: resolveSlate
      parameters:
        - schema:
            type: string
          required: true
          name: hostname
          in: query
        - schema:
            type: string
            description: Incoming slate URL pathname
          required: true
          description: Incoming slate URL pathname
          name: pathname
          in: query
      responses:
        '200':
          description: Slate ID authorized for viewing by this caller
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  owner:
                    oneOf:
                      - type: object
                        properties:
                          id:
                            type: string
                            minLength: 1
                          type:
                            type: string
                            enum:
                              - personal
                        required:
                          - id
                          - type
                      - type: object
                        properties:
                          id:
                            type: string
                            minLength: 1
                          type:
                            type: string
                            enum:
                              - organization
                        required:
                          - id
                          - type
                required:
                  - id
                  - owner
        '401':
          description: Sign-in is required to view this private slate
        '402':
          description: The Owner needs a plan or has exhausted their Free clips
          content:
            text/plain:
              schema:
                type: string
        '403':
          description: This user cannot view this private slate
        '404':
          description: No slate has this public hostname
      security:
        - bearerAuth: []
        - webCookie: []
        - localWebCookie: []
        - viewerCookie: []
        - {}
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    webCookie:
      in: cookie
      name: __Secure-better-auth.session_token
      type: apiKey
    localWebCookie:
      in: cookie
      name: better-auth.session_token
      type: apiKey
    viewerCookie:
      in: cookie
      name: ctx-viewer-auth
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.